#
# spec file for package python-pathspec
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  test
Name:           python-pathspec
Version:        0.5.9
Release:        lp151.1.1
Summary:        Utility library for gitignore style pattern matching of file paths
License:        MPL-2.0
Group:          Development/Languages/Python
Url:            https://github.com/cpburnz/python-path-specification
Source:         https://files.pythonhosted.org/packages/source/p/pathspec/pathspec-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
Pathspec is a utility library for pattern matching of file paths. So
far this only includes Git's wildmatch pattern matching which itself is
derived from Rsync's wildmatch. Git uses wildmatch for its `gitignore`_
files.

%prep
%setup -q -n pathspec-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%doc CHANGES.rst README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Feb 14 2019 John Vandenberg <jayvdb@gmail.com>
- Update to v0.5.9
  * Fixed file system error handling.
- from v0.5.8
  * Improved type checking.
  * Created scripts to test Python 2.6 because Tox removed support for it.
  * Improved byte string handling in Python 3.
  * Handle dangling symlinks.
- from v0.5.7
  * Fix collections deprecation warning.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu May 10 2018 toddrme2178@gmail.com
- Update to 0.5.6
  * Improved unit tests.
  * Improved type checking.
  * `Issue #20`_: Support current directory prefix.
- Use license tag
* Wed Jan 17 2018 toddrme2178@gmail.com
- Initial version
